// Copyright 2004 Edtech Production
// http://dev.manga-france.com
// Version 1.0 du 01 Janvier 2004

unit EdtURLLabel;

interface

uses
  SysUtils, Classes, Controls, StdCtrls, Graphics, ShellAPI;

type
  TEdtURLLabel = class(TLabel)
  private
    { Dclarations prives }
  protected
    { Dclarations protges }
    procedure Click; override;
  public
    { Dclarations publiques }
    constructor Create(AOwner:Tcomponent); override;
  published
    { Dclarations publies }
    property Cursor default crHandpoint;
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('Edtech Production', [TEdtURLLabel]);
end;

{ TEdtURLLabel }

procedure TEdtURLLabel.Click;
begin
  if Hint = '' then
    inherited
  else
    ShellExecute(0, nil, pchar(Hint), nil, nil, 0);
end;

constructor TEdtURLLabel.Create(AOwner: Tcomponent);
begin
  inherited;
  Font.Color := clBlue;
  Font.Style := [fsUnderline];
  Cursor := crHandPoint;
end;

end.
